/**
 * 序号：1
 * 功能：定义分页(EasyUI)
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：无需更改
 **/
var ls_width = $(window).width();
var ls_height = $(window).height();

var local_page=1;
var rows=20;
var listPageSize = [10,20,50,100,500,1000];
var queryData = eval("({'page':'"+local_page+"','rows':'"+rows+"'})");
var tab_n = 0;

//重置分页参数
function resetQueryData(){
	queryData = "";
	queryData = eval("({'page':'"+local_page+"','rows':'"+rows+"'})");
}

//定义附件关联模块ID
var ls_module_id='999';
var ls_node=null;//当前选中的Node
/****/

/**
 * 序号：2
 * 功能：构建下拉框内容
 * 参数：
 * 说明：方便新增、修改页面里的下拉选项加载数据
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//加载模块分类下拉框
var v_mtquery = {};
var v_mt_data = jwAppCommonModel.jwAppsCommonDataAction.listSysModuletypeAll(v_mtquery);

var v_parent_data = jwAppColumnModel.jwAppsColumnDataAction.listColumnTree();

var v_column_data = jwAppColumnModel.jwAppsColumnDataAction.listAll();
//加载是否激活下拉框
var v_yesnoquery = {};
v_yesnoquery.FIELD_tableName = "DM_ST_YES_NO";
var v_yesno_data = standardModel.dataAction.listAll(v_yesnoquery);

//数据来源
var v_entity_datasource = [{CODE_ID:'0',CODE_NAME:'手工录入'},
                           {CODE_ID:'1',CODE_NAME:'单点集成'},
                           {CODE_ID:'2',CODE_NAME:'URL抓取'},
                           {CODE_ID:'3',CODE_NAME:'RSS订阅'},
                           {CODE_ID:'4',CODE_NAME:'模拟登录'},
                           {CODE_ID:'5',CODE_NAME:'内容发布'},
                           {CODE_ID:'6',CODE_NAME:'集成应用'}];
//授权角色
var v_gidquery = {};
var v_gid_data = jwAppCommonModel.jwAppsCommonDataAction.listSysRoleAll(v_gidquery);
var v_gidquery1 = {"DPT_NO":"all","DPT_NAME":"所有用戶"};
v_gid_data.rowSet.push(v_gidquery1);

//集成门户
var v_portlet_data = jwAppPortletModel.jwAppsPortletDataAction.listAllPTemplate({"FIELD_P_TYPE":"6"});

//所属分类下拉框
var v_entity_category = [{CODE_ID:'1',CODE_NAME:'教学类'},
                         {CODE_ID:'2',CODE_NAME:'管理类'},
                         {CODE_ID:'3',CODE_NAME:'服务类'},
                         {CODE_ID:'4',CODE_NAME:'娱乐类'},
                         {CODE_ID:'5',CODE_NAME:'默认应用'}];

//加载验证方式下拉框
var v_entity_verify = [{CODE_ID:'0',CODE_NAME:'模拟登录'},
                       {CODE_ID:'1',CODE_NAME:'单点登录'}];

//映射应用
var v_apps_base = jwAppPortletModel.jwAppsPortletDataAction.listBaseApps();
/****/

/**
 * 序号：3
 * 功能：构建主页面列表
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//定义grid列表
$('#list').datagrid({
		title:"资源设置",
	    iconCls:$.getJwWindowPic(),
	    url:'jwAppsAppstoreData_listApp',
	    queryParams : queryData,//查询参数
		rownumbers : true,//显示索引号
		singleSelect : false,//是否多选
		fitColumns : false,//是否撑满
		autoRowHeight : 30,//设定高度
		pagination : true,//分页显示
		pageSize : rows,//显示行数
		pageList : listPageSize,//条数选择
		striped : true, //是否隔行显示
		remoteSort : false,//是否从服务器排序
		frozenColumns : [[
				{
					field : 'ck',
					checkbox : true
				},
				{
					field : 'option',
					title : '操作',
					width : 80,
					align : 'center',
					formatter : formatMenu
				}
				       ]],
		columns : [ [
				{
					field : 'PORTAL_ID',
					title : '所属资源',
					width : 120,
					align : 'center',
					formatter:function(value){
						return getPortletName(v_portlet_data.rowSet,value);
					}
				},
 				{
 					field : 'NAME',
 					title : '应用名称',
 					width : 100,
 					align : 'center'
				}, {
					field : 'LINK',
					title : '应用地址',
					width : 300,
					align : 'center'
				},{
					field : 'APP_CODE',
					title : '英文代码',
					width : 120,
					align : 'center'
				}, {
					field : 'OPEN_TIME',
					title : '开放时间',
					width : 120,
					align : 'center'
				}, {
					field : 'DEVELOPER',
					title : '开发团队',
					width : 120,
					align : 'center'
				}
             ] ],
		toolbar : '#tb',
		onLoadSuccess : function() {
			createOptionMenuTooltip();
		}
});
/****/

/**
 * 序号：4
 * 功能：设置主页面操作列菜单
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//操用列显示更多(一般情况下无需更改)
function formatMenu(value, data,index) {
	var returnData="";
	return  returnData
	      + "<span class=\"icon-ext-moremenu\" style=\"padding-left:20px;*width:20px;\"></span>"
	      + "<span data-p1="+index+" class=\"easyui-tooltip\" style=\"color:blue;cursor:pointer;\">更多</span>";
}
//菜单更多上浮横向菜单集(无需更改)
function createOptionMenuTooltip() {
	$('#list').datagrid('getPanel').find('.easyui-tooltip').each(
			function() {
				var index = parseInt($(this).attr('data-p1'));
				$(this).tooltip({
					content : $('<div></div>'),
					onUpdate : function(cc) {
						var row = $('#list').datagrid('getRows')[index];
						var content = getOptionMenu(row,index);
						var mCount = getOptionMenuCount();
						cc.css("border","0").panel({
							width : (70 * mCount),
							content : content
						});
					},
					position : 'right',
					deltaX : -20,
					onShow : function() {
						var t = $(this);
						t.tooltip('tip').css( {
							backgroundColor : '#ffffff'
								}).unbind().bind('mouseenter', function() {
							t.tooltip('show');
						}).bind('mouseleave', function() {
							t.tooltip('hide');
						});
					}
				});
			});
}

//上浮横向菜单集里的具体菜单项(需更改)
function getOptionMenu(data,index){
	var returnData= "<span class=\"icon-edit\" style=\"padding-left:20px;*width:20px;\"></span><a href=\"javascript:void(0);\" onclick=\"editRow('"
		+ index + "')\">编辑</a>  |  <span class=\"icon-clear\" style=\"padding-left:20px;*width:20px;\"></span><a href=\"javascript:void(0);\" onclick=\"deleteRow('"
		+ index + "')\">删除</a>";
	return returnData;
}

//返回菜单集的菜单个数(需更改)
function getOptionMenuCount(){
	var is_menu_count = 2;
	return is_menu_count;
}
/****/

/**
 * 序号：5
 * 功能：新增修改弹出
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//加载增加子页面
function addRow(){
	var is_row={OPETYPE:'insert'};
	openEditRow("jwAppsAppstoreView_appsTabDetail",is_row,"新增",true,0.95,0.95,0,0);
}
//加载增加子页面成功后的回调
function addUrlOnloadCallback(is_row){
	//console.log(is_row);
	//$("#appUserFileImage").attr("src","jwapp/pages/apps/photo.jsp?ls_photo="+is_row.IMG_ID_S);
	$("#app_content_image").hide();
	
	$('#FIELD_NAMES').combobox({
		data : v_apps_base.rowSet,
		valueField : 'UUID',
		textField : 'APP_NAME',
		editable:false,  
		panelHeight:'auto'
	});
	$('#CATEGORY').combobox({
		data : v_entity_category,
		valueField : 'CODE_ID',
		textField : 'CODE_NAME',
		editable:false,  
		panelHeight:'auto'
	});
	$('#PORTAL_ID').combobox({
		data : v_portlet_data.rowSet,
		valueField : 'PORTLET_ID',
		textField : 'NAME',
		multiple:false,  
		editable:false,  
		panelHeight:'auto'
	});
	$('#G_ID').combobox({
		data : v_gid_data.rowSet,
		valueField : 'DPT_NO',
		textField : 'DPT_NAME',
		panelHeight : 'auto',
		editable:false
	});
	$('#IS_POPUP').combobox({
		data : v_yesno_data.rowSet,
		valueField : 'CODE_ID',
		textField : 'CODE_NAME',
		editable:false,  
		panelHeight:'auto'
	});
	$('#NEED_HEAD').combobox({
		data : v_yesno_data.rowSet,
		valueField : 'CODE_ID',
		textField : 'CODE_NAME',
		editable:false,  
		panelHeight:'auto'
	});
	$('#IS_DEFAULT').combobox({
		data : v_yesno_data.rowSet,
		valueField : 'CODE_ID',
		textField : 'CODE_NAME',
		editable:false,  
		panelHeight:'auto'
	});
	$('#NEED_RIGHT').combobox({
		data : v_yesno_data.rowSet,
		valueField : 'CODE_ID',
		textField : 'CODE_NAME',
		editable:false,  
		panelHeight:'auto'
	});
	$('#VERIFY_TYPE').combobox({
		data : v_entity_verify,
		valueField : 'CODE_ID',
		textField : 'CODE_NAME',
		editable:false,  
		panelHeight:'auto'
	});
}
//保存
function insertData(is_entity){
		  //var g_ids = $('#G_ID').combobox('getValues');
		 // is_entity.FIELD_G_ID = json2str_dh(g_ids);
		  is_entity.FIELD_PUB_DATE = strToDateObj(is_entity.FIELD_PUB_DATE);
		  is_entity.FIELD_OPEN_TIME = strToDateObj(is_entity.FIELD_OPEN_TIME);
		  var data = {};
  		  data = appstoreModel.actAction.insertApp(is_entity);
  		
  		  //自动为授予角色用户默认安装
	      var v_default_data = {};
	      v_default_data.FIELD_APP_ID = data.RETURNUUID;
	      v_default_data.FIELD_G_ID = is_entity.FIELD_G_ID;
	      v_default_data.FIELD_IS_DEFAULT = is_entity.FIELD_IS_DEFAULT
	      var v_result = appstoreModel.actAction.insertDefaultInstall(v_default_data);
		          
	      $('#list').datagrid('reload', {});
      	  return v_result;
}
/**
 * 序号：6
 * 功能：修改弹出
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//加载修改子页面
function editRow(index){
	ls_row_index = index;
	var is_row = {};
	$('#list').datagrid('selectRow',index);
	is_row = $('#list').datagrid('getSelections');
	$('#list').datagrid('clearSelections');
	is_row[0].OPETYPE = 'update';
	openEditRow("jwAppsAppstoreView_appsTabDetail",is_row[0],"编辑",true,0.95,0.95,0,0);	
	
}
//加载修改子页面成功后的回调
function updateUrlOnloadCallback(is_row){
	$("#appUserFileImage").attr("src","photo/photo.jsp?ls_photo="+is_row.IMG_ID_S);
	$('#FIELD_NAMES').combobox({
		data : v_apps_base.rowSet,
		valueField : 'UUID',
		textField : 'APP_NAME',
		editable:false,  
		panelHeight:'auto'
	});
	$('#CATEGORY').combobox({
		data : v_entity_category,
		valueField : 'CODE_ID',
		textField : 'CODE_NAME',
		editable:false,  
		panelHeight:'auto'
	});
	$('#PORTAL_ID').combobox({
		data : v_portlet_data.rowSet,
		valueField : 'PORTLET_ID',
		textField : 'NAME',
		multiple:false,  
		editable:false,  
		panelHeight:'auto'
	});
	$('#G_ID').combobox({
		data : v_gid_data.rowSet,
		valueField : 'DPT_NO',
		textField : 'DPT_NAME',
		panelHeight : 'auto',
		editable:false
	});
	$('#IS_POPUP').combobox({
		data : v_yesno_data.rowSet,
		valueField : 'CODE_ID',
		textField : 'CODE_NAME',
		editable:false,  
		panelHeight:'auto'
	});
	$('#NEED_HEAD').combobox({
		data : v_yesno_data.rowSet,
		valueField : 'CODE_ID',
		textField : 'CODE_NAME',
		editable:false,  
		panelHeight:'auto'
	});
	$('#IS_DEFAULT').combobox({
		data : v_yesno_data.rowSet,
		valueField : 'CODE_ID',
		textField : 'CODE_NAME',
		editable:false,  
		panelHeight:'auto'
	});
	$('#NEED_RIGHT').combobox({
		data : v_yesno_data.rowSet,
		valueField : 'CODE_ID',
		textField : 'CODE_NAME',
		editable:false,  
		panelHeight:'auto'
	});
	$('#VERIFY_TYPE').combobox({
		data : v_entity_verify,
		valueField : 'CODE_ID',
		textField : 'CODE_NAME',
		editable:false,  
		panelHeight:'auto'
	});
	//var row = $('#list').datagrid('getSelections');
	//$("#appUserFileImage").attr("src","jwapp/pages/apps/photo.jsp?ls_photo="+row[0].IMG_ID_S);
	//$("#appUserFileImage").attr("src","jwapp/pages/apps/photo.jsp?ls_photo="+"D:/workspace2/.metadata/.plugins/org.eclipse.wst.server.core/tmp0/wtpwebapps/jwgV4portal/uploadFile/apps/apps/15060651209957448.png");
}
//保存
function updateData(is_entity){
	is_entity.FIELD_PUB_DATE = strToDateObj(is_entity.FIELD_PUB_DATE);
	is_entity.FIELD_OPEN_TIME = strToDateObj(is_entity.FIELD_OPEN_TIME);
	var v_result = appstoreModel.actAction.updateApp(is_entity);
	//自动为授予角色用户默认安装

   /* var v_default_data = {};
    v_default_data.FIELD_APP_ID = is_entity.FIELD_APP_ID;
    v_default_data.FIELD_G_ID = is_entity.FIELD_G_ID;
    v_default_data.FIELD_IS_DEFAULT = is_entity.FIELD_IS_DEFAULT
    var v_result = appstoreModel.actAction.insertDefaultInstall(v_default_data);*/
    
    $('#list').datagrid('reload', {});
  	return v_result;
}

/**
 * 序号：7
 * 功能：单个删除
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function deleteRow(index){
	$('#list').datagrid('selectRow',index);	
	var is_row = $('#list').datagrid('getSelections');
	$('#list').datagrid('clearSelections');
	var code = is_row[0].APP_ID;
	$.messager.confirm('提示', '确定删除?', function(r) {
		if (r) {
			var v_query = {};
		    v_query.deletekey = code;
			var v_result = appstoreModel.actAction.deleteApp(v_query);
			$('#list').datagrid('reload', {});
		}
	});
}

/**
 * 序号：8
 * 功能：批量删除
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function deleteBatchRow(){
	var code = "";
	var is_row = $('#list').datagrid('getSelections');
	for(var i=0; i<is_row.length; i++){
		code = code + is_row[i].APP_ID+",";
	}
	if(is_row == null || is_row == ""){
		$.messager.alert('提示',"请选择需删除的行!");
		return;
	}
	if(code.length>0){
		code = code.substring(0,code.length - 1);
	}
	$.messager.confirm('提示', '确定删除?', function(r) {
		if (r) {
			var v_query = {};
		    v_query.deletekey = code;
		    var v_result = appstoreModel.actAction.deleteApp(v_query);
		    $('#list').datagrid('reload', {});
		}
	});
}


/**
 * 序号：8
 * 功能：刷新
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function refreshRow() {
	$('#list').datagrid('load', {});
	$("#appstab_searchForm")[0].reset();
}
/****/

/**
 * 序号：9
 * 功能：查询
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function searchRow(){
	var v_query = $("#appstab_searchForm").getFormVal();
	$('#list').datagrid('load',v_query);
}

/**
 * 文件上传
 * @returns {Boolean}
 */
function ajaxFileUpload()
{
    
    $("#loading")
    .ajaxStart(function(){
        $(this).show();
    })//开始上传文件时显示一个图片

    .ajaxComplete(function(){
        $(this).hide();
    });//文件上传完成将图片隐藏起来

    if($.trim($("#userFile").val()).length==0)
    	return false;
    var temp_path = $("#userFile").val();
    var temp_path_ext_indexS = temp_path.lastIndexOf(".") + 1;
    var temp_path_ext  = temp_path.substring(temp_path_ext_indexS);
    if(("gif,jpg,jpeg,bmp,png").indexOf(temp_path_ext)==-1){
    	fancyAlert("只上传gif,jpg,jpeg,bmp,png类型的图片！",0);
    	return false;
    }
    
    $.ajaxFileUpload
    (
        {
            url:'jwAppsAppstoreAct_uploadApp',//用于文件上传的服务器端请求地址
            secureuri:false,//一般设置为false
            fileElementId:'userFile',//文件上传空间的id属性  <input type="file" id="file" name="file" />
            dataType: 'json',//返回值类型 一般设置为json
            success: function (data, status)  //服务器成功响应处理函数

            {
                if(data.message.file!='undefined'){
                	var app_id = $("#APP_ID").val();
                	var old_image = $("#OLD_IMAGE").val();
                	var view_name = data.message.file.split(",")[1];
                	var store_name = data.message.file.split(",")[0];
                	var v_img_entity = {};
                	v_img_entity.FIELD_APP_ID = app_id;
                	v_img_entity.FIELD_IMG_ID_S = store_name;
                	v_img_entity.FIELD_OLD_IMAGE = old_image;
                	var ret_data = appstoreModel.actAction.updateApp(v_img_entity);

		        	$("#appUserFileImage").attr("src","photo/photo.jsp?ls_photo="+store_name);
		        	$("#OLD_IMAGE").val(store_name);
                }
                
            },
            error: function (data, status, e)//服务器响应失败处理函数

            {
                alert(e);
            }
        }
    );
    
    return false;

}

/**
 * 序号：18
 * 功能：批量处理接口附件
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function uploadcommonBatchRow(){
	var code="";
	var rows = $('#list').datagrid('getSelections');
	for(var i=0; i<rows.length; i++){
		code = code + rows[i].APP_ID+",";
	}
	if(rows == null || rows == ""){
		$.messager.alert('提示',"请选择记录!",'info');
		return;
	}
	if(code.length>0){
		code = code.substring(0,code.length - 1);
	}
	var is_row={MAINDATA_ID:code,MODULE_ID:ls_module_id};
	var editUrl = "uploadFileCommonView_uploadfileCommonTab?FIELD_MODULE_ID="+ls_module_id+"&FIELD_MAINDATA_ID="+code;
	openViewIframRow("uploadcommon",editUrl,is_row,"批量接口附件",true,0.65,0.95,0,0);
}
/****/
